diff -ur ircd-hybrid-6/include/s_serv.h ircd-hybrid-6+lesbian/include/s_serv.h
--- ircd-hybrid-6/include/s_serv.h	2002-04-12 12:49:32.000000000 +0100
+++ ircd-hybrid-6+lesbian/include/s_serv.h	2002-12-10 21:09:53.000000000 +0000
@@ -44,7 +44,9 @@
 #define CAP_ZIP         0x00000004      /* Can do server compresion */
 #define CAP_EX          0x00000008      /* Can do channel +e exemptions */
 #define CAP_CHW         0x00000010      /* Can do channel wall @# */
-#define CAP_KNOCK	0x00000020
+#define CAP_KNOCK       0x00000020
+#define CAP_KLN         0x00000040
+#define CAP_UNKLN       0x00000080
 
 #define DoesCAP(x)      ((x)->caps)
 
Only in ircd-hybrid-6+lesbian/src: .m_unkline.c.swp
Only in ircd-hybrid-6+lesbian/src: .send.c.swp
diff -ur ircd-hybrid-6/src/m_kline.c ircd-hybrid-6+lesbian/src/m_kline.c
--- ircd-hybrid-6/src/m_kline.c	2002-04-12 12:49:32.000000000 +0100
+++ ircd-hybrid-6+lesbian/src/m_kline.c	2002-12-10 21:21:28.000000000 +0000
@@ -36,6 +36,7 @@
 #include "s_conf.h"
 #include "s_log.h"
 #include "s_misc.h"
+#include "s_serv.h"
 #include "send.h"
 #include "struct.h"
 #include "hash.h"
@@ -465,6 +466,17 @@
     }
   else
 #endif
+	{
+		if(IsServer(cptr))
+		{
+			if(parc == 6)
+				sendto_match_cap_servs(NULL, sptr, CAP_KLN,
+						                   ":%s KLINE %s %s %s %s :%s",
+															 parv[0], parv[1], parv[2], parv[3],
+															 parv[4], parv[5]);
+			return 0;
+		}
+		else
     {
       if (!MyClient(sptr) || !IsAnOper(sptr))
         {
@@ -488,7 +500,8 @@
 #ifdef SLAVE_SERVERS
       sendto_slaves(NULL,"KLINE",sptr->name,parc,parv);
 #endif
-    }
+		}
+	}
 
   argv = parv[1];
 
diff -ur ircd-hybrid-6/src/m_unkline.c ircd-hybrid-6+lesbian/src/m_unkline.c
--- ircd-hybrid-6/src/m_unkline.c	2002-04-12 12:49:32.000000000 +0100
+++ ircd-hybrid-6+lesbian/src/m_unkline.c	2002-12-10 21:21:51.000000000 +0000
@@ -36,6 +36,7 @@
 #include "s_conf.h"
 #include "s_log.h"
 #include "s_misc.h"
+#include "s_serv.h"
 #include "send.h"
 #include "struct.h"
 #ifdef GLINES
@@ -85,7 +86,16 @@
 
   ircsprintf(temppath, "%s%s.tmp", ConfigFileEntry.dpath,
 	     ConfigFileEntry.klinefile);
-  
+
+	if(IsServer(cptr))
+	{
+		if(parc == 4)
+			sendto_match_cap_servs(NULL, cptr, CAP_UNKLN,
+				          	         ":%s UNKLINE %s %s %s",
+														 parv[0], parv[1], parv[2], parv[3]);
+		return 0;
+	}
+
   if (check_registered(sptr))
     {
       return -1;
diff -ur ircd-hybrid-6/src/s_serv.c ircd-hybrid-6+lesbian/src/s_serv.c
--- ircd-hybrid-6/src/s_serv.c	2002-04-20 21:58:14.000000000 +0100
+++ ircd-hybrid-6+lesbian/src/s_serv.c	2002-12-10 21:10:26.000000000 +0000
@@ -74,6 +74,8 @@
   { "EX",       CAP_EX },
   { "CHW",      CAP_CHW },
   { "KNOCK",    CAP_KNOCK },
+	{ "KLN",		  CAP_KLN },
+	{ "UNKLN",		CAP_UNKLN },
   { 0,   0 }
 };
 
